rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmop_s Struct Reference
RPMIO.

Cumulative statistics for an operation. More...

`#include <rpmio/rpmsw.h>`

Collaboration diagram for rpmop_s:
[legend]

## Data Fields
struct rpmsw_s | begin
int | count
unsigned long long | bytes
rpmtime_t | usecs

## Detailed Description

Cumulative statistics for an operation.

Definition at line 33 of file rpmsw.h.

## Field Documentation

struct rpmsw_s rpmop_s::begin

Starting time stamp.

Definition at line 34 of file rpmsw.h.

Referenced by rpmswEnter(), and rpmswExit().

unsigned long long rpmop_s::bytes

Number of bytes transferred.

Definition at line 36 of file rpmsw.h.

Referenced by fdstat_print(), rpmswAdd(), rpmswEnter(), rpmswExit(), rpmswPrint(), rpmswSub(), and rpmtsPrintStat().

int rpmop_s::count

Number of operations.

Definition at line 35 of file rpmsw.h.

Referenced by fdstat_print(), rpmReadPackageFile(), rpmswAdd(), rpmswEnter(), rpmswPrint(), rpmswSub(), rpmtsPrintStat(), verifyDSA(), verifyMD5(), and verifyRSA().

rpmtime_t rpmop_s::usecs

Number of ticks.

Definition at line 37 of file rpmsw.h.

Referenced by fdstat_print(), rpmswAdd(), rpmswEnter(), rpmswExit(), rpmswPrint(), rpmswSub(), and rpmtsPrintStat().

The documentation for this struct was generated from the following file:

- rpmio/rpmsw.h